//===========================================================================
//
// Name:			Slammer_c.c
// Function:		chat lines for Slammer
// Programmer:		Young Xaero (AmarantCoral410@aol.com)
// Author:			Young Xaero
// Editor:			Young Xaero
// Last update:		Apr. 11, 2002
// Tab Size:		3 (real tabs)
//===========================================================================

//example initial chats
chat "slammer"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	type "game_enter" //initiated when the bot enters the game
	{
		"Hey! All you ", fighter, "'s! This should be fun for me since I'll ~flaten you all with my hugh gut! This Wrestler Won't Quit!";
		"Well I see there's no Wrestlers in here. You ", fighter, "'s will do! ^4>^3=^1O^5>";
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"Alas, I leave undefeated. ^1>^5=^3)";
		"You ", fighter, "'s are too weak. No challenge for me.";
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"Let's Get ready to ~Wrestle!";
		"First Up: ME! Time to Flaten you weaklings! ^1>=O>";
		// 0 = bot name
		// 1 = randomly chosen player
		// 4 = Level's title
		} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"It seems that ", 3, " has more Training to do than anything else.";
		"Well ", 2, ", Your greater than the weakling, ", 3, ". You get the World Campion Chip Belt! =)";
		// 0 = bot name
		// 2 = opponent in first place
		// 3 = opponent in last place
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"Ha, Ha, Ha! I Surpast all you Weaklings! All Fall Before your Master! ^4>=O>";
		"I am the ~Owner of ", 4, "! You Peasants are weak compared to me!";
		// 0 = bot name
		// 3 = opponent in last place
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"I... Lost? ^1FOR ~SHAME! ^2=(";
		"This Wrestler lost to a stronger fighter named, ", 2,"... ^1FOR SHAME! ^2>=(";
		// 0 = bot name
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		;
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		;
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		;
		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		;
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by falling damage
	{
		;
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		;
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		;
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		;
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		;
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
		;
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		;
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		;
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		;
		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
		;
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		;
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		;
		KILL_GAUNTLET0;
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		;
		TELEFRAGGED0;
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{
		;
		// 0 = enemy name
	} //end type

	type "kill_insult" //Insult initiated when the bot killed someone
	{
		;
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		;
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		;
		// 0 = bot name
		// 1 = name of randomly chosen player
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		;
		// 0 = bot name
		// 1 = name of randomly chosen player
	} //end type
} //end slammer chat
